DebugEventListener
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface DebugEventListener

    public interface DebugEventListener

This interface is used by the SDK to report debug events for a certain `JavascriptVm` to the clients.

Nested Class Summary
`static interface` | `DebugEventListener.VmStatusListener` A specialized listener for status of remote VM command queue.

Method Summary
`void` | `disconnected()` Reports the debug connection has terminated and `JavascriptVm` has stopped operating.
`DebugEventListener.VmStatusListener` | `getVmStatusListener()` Gets `DebugEventListener.VmStatusListener` that is considered a part of `DebugEventListener`.
`void` | `resumed()` Reports the browser JavaScript virtual machine has resumed.
`void` | `scriptCollected(Script script)` Reports that the script has been collected and is no longer used in VM.
`void` | `scriptContentChanged(Script newScript)` Reports that script source has been altered in remote VM.
`void` | `scriptLoaded(Script newScript)` Reports that a new script has been loaded into a tab.
`void` | `suspended(DebugContext context)` Reports the browser JavaScript virtual machine has suspended (on hitting breakpoints or a step end).

Method Detail

### suspended

    void suspended(DebugContext context)

  Reports the browser JavaScript virtual machine has suspended (on hitting breakpoints or a step end). The `context` can be used to access the current backtrace.

  Parameters:
    `context` - associated with the current suspended state

### resumed

    void resumed()

  Reports the browser JavaScript virtual machine has resumed. This can happen asynchronously, due to a user action in the browser (without explicitly resuming the VM through `DebugContext.continueVm(org.chromium.sdk.DebugContext.StepAction, int, org.chromium.sdk.DebugContext.ContinueCallback)`).

### disconnected

    void disconnected()

  Reports the debug connection has terminated and `JavascriptVm` has stopped operating. This event is reported always, regardless of which reason causes termination. TODO: consider adding disconnect reason here.

### scriptLoaded

    void scriptLoaded(Script newScript)

  Reports that a new script has been loaded into a tab.

  Parameters:
    `newScript` - loaded into the tab

### scriptCollected

    void scriptCollected(Script script)

  Reports that the script has been collected and is no longer used in VM.

### getVmStatusListener

    DebugEventListener.VmStatusListener getVmStatusListener()

  Gets `DebugEventListener.VmStatusListener` that is considered a part of `DebugEventListener`. The value this method returns may be cached by caller.

  Returns:
    `DebugEventListener.VmStatusListener` or null

### scriptContentChanged

    void scriptContentChanged(Script newScript)

  Reports that script source has been altered in remote VM.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD